<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: login.php
-------------------------------------------
*/

$title = 'Авторизация';
//-----Подключаем функции-----//
require_once ('system/function.php');
//-----Подключаем вверх-----//
require_once ('system/header.php');

//-----Переадресация для авторизированых-----//
if(isset($user['id'])) {
header('Location: ');
exit();
}

echo '<div class="title">Авторизация</div>';

##############################
####### Главная ###### #######
##############################
$act = isset($_GET['act']) ? $_GET['act'] : null;
switch($act)
{
default:
if(isset($_REQUEST['submit'])) {
$pass = md5(md5(md5(strong($_POST['pass']))));
$login = strong($_POST['login']);
$type = strong($_POST['type']);

if(empty($login)) {
echo err('Вы не ввели логин!');
require_once ('system/footer.php'); exit;
}
//-----Проверяем на ввод пароля-----//
if(empty($pass)){
echo err('Вы не ввели свой пароль!');
require_once ('system/footer.php'); exit;
}
if($type == 1)
{
$dbinfo = mysql_fetch_array(mysql_query("SELECT `login`,`pass` FROM `users` WHERE `login` = '".$login."' and `pass`='".$pass."' LIMIT 1"));
}
elseif($type == 2)
{
$dbinfo = mysql_fetch_array(mysql_query("SELECT `email`,`pass`,`login` FROM `users` WHERE `email` = '".$login."' and `pass`='".$pass."' LIMIT 1"));
}
if(!empty($login) && !empty($pass)) if($dbinfo==0) 
{
echo err('Такого пользователя не существует!');
require_once ('system/footer.php'); exit;
}

setcookie('uslog', $dbinfo['login'], time()+86400*365, '/');

setcookie('uspass', $pass, time()+86400*365, '/');

header('location: '.$HOME);
}
echo '<div class="podmenu">
<form action="" method="POST">
Ваш <select name="type"><option value="1">Ник</option><option value="2">E-mail</option></select><br>
*Ваш логин:<br /><input type="text" name="login" maxlength="200" /><br />
*Ваш пароль:<br /><input type="password" name="pass" maxlength="250" /><br />
<input type="submit" value="Авторизировать" name="submit">
</form></div>';
echo '<div class="menudiv"><a href="'.$HOME.'/pass.php" class="k_menu">Забыли пароль?</a></div>';

break;
}

//-----Подключаем низ-----//
require_once ('system/footer.php');
?>